<div class="dialog-container-general">
  <p-dialog header="Nueva Cuenta" [(visible)]="nuevoUsuarioVisible" [style]="{width: '50vw'}" [modal]="true"
    class="modal-container nueva-cuenta" (onHide)="cerrarModal()">
    <div class="container-nuevoU">
      <div class="datosPersonales">
        <h2>Datos Personales</h2>
        <div class="txt_field">
          <input type="text" id="nom" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="usuario.Nombre"
            (keyup)="validarTexto($event, 'Nombre')">
          <label for="nombre" class="inpt_label">Nombre</label>
        </div>

        <div class="form-group">
          <div class="txt_field">
            <input type="text" id="apellidoP" class="inpt" autocomplete="off" placeholder=" "
              [(ngModel)]="usuario.PrimerApellido" (keyup)="validarTexto($event, 'PrimerApellido')">
            <label for="apellidoP" class="inpt_label">Primer apellido</label>
          </div>

          <div class="txt_field">
            <input type="text" id="apellidoM" class="inpt" autocomplete="off" placeholder=" "
              style="padding-left: 15px;" [(ngModel)]="usuario.SegundoApellido" pTooltip="Opcional"
              (keyup)="validarTexto($event, 'SegundoApellido')">
            <label for="apellidoM" class="inpt_label">Segundo apellido</label>
          </div>
        </div>

        <div class="form-group">
          <div class="txt_field">
            <p-calendar class="inpt" placeholder=" " [(ngModel)]="usuario.FechaNacimiento" [minDate]="fechaMinima"
              [maxDate]="fechaMaxima"></p-calendar>
            <label for="Fecha" class="inpt_label">Fecha de nacimiento</label>
          </div>

          <div class="txt_field">
            <p-dropdown id="genero" [options]="generos" optionLabel="name" optionValue="code" class="inpt"
              placeholder="Género" [(ngModel)]="usuario.Genero"></p-dropdown>
            <label for="genero" class="inpt_label">Género</label>
          </div>

        </div>
        <div class="form-group">
          <div class="txt_field">
            <input type="number" id="ci" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="usuario.Ci">
            <label for="ci" class="inpt_label">C.I.</label>
          </div>

          <div class="txt_field" style="width: 40%;">
            <input type="text" id="complemento" class="inpt" autocomplete="off" placeholder=" " (keyup)="validarTexto($event, 'complemento')"
              [(ngModel)]="complemento" pTooltip="Complemento (Solo si tiene)" style="padding-left: 10px;">
          </div>

          <div class=" txt_field">
            <input type="number" id="telefono" class="inpt" autocomplete="off" placeholder=" "
              [(ngModel)]="usuario.NumeroTelefono">
            <label for="telefono" class="inpt_label">Celular</label>
          </div>
        </div>
      </div>

      <p-divider layout="vertical"></p-divider>

      <div class="datosUsuario">
        <h2>Datos del Usuario</h2>
        <div class="flex flex-column">
          <div class="txt_field">
            <input type="text" id="user_name" class="inpt" autocomplete="off" placeholder=" "
              [(ngModel)]="usuario.NombreUsuario" (keyup)="verificarNombreUsuario()" (keyup)="validarTexto($event, 'NombreUsuario')">
            <label for="user_name" class="inpt_label">Nombre de usuario</label>
          </div>

          <div *ngIf="mostrarTag">
            <p-tag severity="danger" value="El nombre de usuario ya está en uso. Por favor, elige otro."
              [ngClass]="existeUsuario ? 'tag_usuario_existe' : 'ocultar'"></p-tag>
            <p-tag severity="success" value="Nombre de usuario disponible."
              [ngClass]="existeUsuario ? 'ocultar' : 'tag_usuario_noexiste'"></p-tag>
          </div>
        </div>

        <div class="flex flex-column">
          <div class="txt_field">
            <input type="text" id="correo" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="usuario.Email" (keyup)="verificarEmail()">
            <label for="correo" class="inpt_label">Correo</label>
          </div>

          <div *ngIf="mostrarTagEmail">
            <p-tag severity="danger" value="El correo electrónico ya está en uso. Por favor, elige otro."
              [ngClass]="existeEmail ? 'tag_usuario_existe' : 'ocultar'"></p-tag>
            <p-tag severity="success" value="Correo electrónico disponible."
              [ngClass]="existeEmail ? 'ocultar' : 'tag_usuario_noexiste'"></p-tag>
          </div>
        </div>

        <div class="form-group">
          <div class="txt_field">
            <input type="password" id="pass" class="inpt" autocomplete="off" placeholder=" "
              [(ngModel)]="usuario.Password">
            <label for="pass" class="inpt_label">Contraseña</label>
          </div>
        </div>

        <div class="form-group">
          <div class="txt_field">
            <input type="password" id="repPass" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="password">
            <label for="repPass" class="inpt_label">Repita contraseña</label>
          </div>
        </div>
      </div>
    </div>

    <div class="actions">
      <button class="btn btn-primary-1" (click)="abrirVerificacionSMS()">Registrarse</button>
      <p class="p_link" (click)="mostrarLogin()">¿Ya tienes una cuenta? <br> ¡Inicia sesión ahora!</p>
    </div>
  </p-dialog>
</div>

<div class="dialog-container-general">
  <p-dialog header="Verificación de SMS" [(visible)]="dialogSMS" [style]="{width: 'auto'}" [modal]="true"
    (onHide)="codigoVerificacion = ''">
    <div class="contenedor">
      <div class="txt_field">
        <input type="number" id="sms" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="codigoVerificacion">
        <label for="sms" class="inpt_label">Código SMS...</label>
      </div>

      <div class="actions">
        <button class="btn btn-primary-1" (click)="validarSMS()">Comprobar</button>
        <p [className]="tiempoEspera !== 0 ? 'link_inactivo' : 'p_link'"
          (click)="tiempoEspera != 0 ? false : abrirVerificacionSMS()">Solicitar nuevo código <span
            *ngIf="tiempoEspera != 0">en: {{ tiempoEspera }}</span></p>
      </div>
    </div>
  </p-dialog>
</div>

<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="mensajeSpinner"></app-loading-overlay>
